### Method

# Gtk TreeViewset_search_equal_func

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_set_search_equal_func (
      GtkTreeView* tree_view,
      GtkTreeViewSearchEqualFunc search_equal_func,
      gpointer search_user_data,
      GDestroyNotify search_destroy
    )

#### Description [src]

Sets the compare function for the interactive search capabilities; note that somewhat like `strcmp()` returning 0 for equality `GtkTreeView`SearchEqualFunc returns `FALSE` on matches.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`search_equal_func`

  Type: `GtkTreeViewSearchEqualFunc`

  The compare function to use during the search.

`search_user_data`

  Type: `gpointer`

  User data to pass to `search_equal_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`search_destroy`

  Type: `GDestroyNotify`

  Destroy notifier for `search_user_data`.

  The argument can be `NULL`.